;(function($){
	var o=$('#J_confirm');

	ZConfirm=function(){
		ZEvent.call(this);
		var _th=this;
		o.on('click','.J_confirm_ok',function(){
			_th.trigger('ok');
			_th.hide();
			return false;
		});
		o.on('click','.J_confirm_cancel',function(){
			_th.trigger('cancel');
			_th.hide();
			return false;
		});
	}
	hg.inheritPrototype(ZConfirm,ZEvent);
	ZConfirm.prototype.show=function(cfg){
		/*cfg:
			{
				title:"",
				html:"",
				ok:{
					text:"",
					callback:function(){}
				},
				cancel:{
					text:"",
					callback:function(){}
				}
			}
		*/
		var _th=this;
		cfg=cfg?cfg:{};
		o.find('.hg-title').html(cfg.title||'请确认');
		o.find('.J_confirm_content').html(cfg.html);
		o.find('.J_confirm_cancel').html((cfg.cancel&&cfg.cancel.text)||'取消');
		o.find('.J_confirm_ok').html((cfg.ok&&cfg.ok.text)||'确认');
		
        o.removeClass('fn-hide')
         .removeClass('hg-dialog-up')
         .addClass('hg-dialog-down');
        this.removeListener('ok');
        if(cfg.ok&&cfg.ok.callback){
        	this.on('ok',cfg.ok.callback);
        }
        this.removeListener('cancel');
        if(cfg.cancel&&cfg.cancel.callback){
        	this.on('cancel',cfg.cancel.callback);
        }
        var h=o.height() + 20;
		o.css({
			'margin-top':'-'+(h/2)+'px'
		});
	}
	ZConfirm.prototype.hide=function(){
		o.removeClass('hg-dialog-down')
             .addClass('hg-dialog-up');
        setTimeout(function(){
            o.addClass('fn-hide');
        },250);
	}
})($);