;(function(){
      var baseUrl='http://www.haigou365.cn/haigou/';
      var baseStatic=window.applicationBaseUrl+'/res_mobile/data';
      var dataArray = {
            productInfo:{//产品详细页-产品详细
                  static:baseStatic+"/product/productInfo.json",
                  remote:baseUrl+"m/goods/getGdsInfo"
            },
            inv:{//产品详细页-获取库存
                  static:baseStatic+"/product/inventory.json",
                  remote:baseUrl+"m/goods/getSkuStock"
            },
            sendMessage:{//发送短信
                  static:baseStatic+"/login/sendMessage.json",
                  remote:baseUrl+"account/sendMsg"
            },
            shortcut:{//快捷登录
                  static:baseStatic+"/login/sendMessage.json",
                  remote:baseUrl+"m/account/doSlogin"
            },
            login:{//密码登录
                  static:baseStatic+"/login/sendMessage.json",
                  remote:baseUrl+"m/account/doLogin"
            },
            regist:{//注册
                  static:baseStatic+"/login/sendMessage.json",
                  remote:baseUrl+"m/account/doRegister"
            },
            repwdStep1:{//重置密码,第一步校验手机号码
                  static:baseStatic+"/login/sendMessage.json",
                  remote:baseUrl+"account/findPassword/checkPhone"
            },
            repwd:{//重置密码
                  static:baseStatic+"/login/sendMessage.json",
                  remote:baseUrl+"account/findPassword/update"
            },
            shopCar:{//购物车-获取购物车列表
                  static:baseStatic+"/user/shopcar.json",
                  remote:baseUrl+"m/cart/index"
            },
            shopCarUpdate:{//购物车-更新数量
                  static:baseStatic+"/user/shopcar.json",
                  remote:baseUrl+"cart/update"
            },
            settlement:{//结算页-获取运费，并根据运费排列商品
                  static:baseStatic+"/user/settlement.json",
                  remote:baseUrl+"order/getSkuListM"
            },
            address:{//地址管理-获取地址列表
                  static:baseStatic+"/user/address.json",
                  remote:baseUrl+"m/account/getAddressList"
            },
            province:{//地址管理-获取省級列表
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"getArea"
            },
            saveAddress:{//地址管理-保存地址
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"address/save"
            },
            editAddress:{//地址管理-修改地址
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"address/update"
            },
            deleteAddress:{//地址管理-修改地址
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"address/delete"
            },
            prodetToShopcar:{//产品详细页-添加到购物车
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"cart/add"
            },
            logout:{//登出
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"account/logout"
            },
            shopcarDel:{//购物车-删除
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"cart/delete"
            },
            shopcarDelBatch:{//购物车-批量删除
                  static:baseStatic+"/user/province.json",
                  remote:baseUrl+"cart/delBatch"
            },
            myorders:{//我的订单
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"m/order/myOrderList"
            },
            pay:{//支付
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"pay/order"
            },
            cancelOrder:{//取消订单
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"order/cancel"
            },
            comfirmReceipt:{//确认收货
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"order/comfirmReceipt"
            },
            newOrder:{//提交订单
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"order/doSubmit"
            },
            orderDetail:{//查看订单详情
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"m/order/ordDetail"
            },
            prodetPro:{//商品详情页-获取运费
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"m/order/getFreight"
            },
            shopCarNum:{//获取购物车数量
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"cart/queryShoppingCartCount"
            },
            getSid:{//获取商品sid
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"opcircles/initShare"
            },
            getSign:{//获取js-sdk签名
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"opcircles/getSign"
            },
            bindWebChat:{//与微信账号绑定
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"opcircles/bindWeChat"
            },
            getUid:{//获取userId
                  static:baseStatic+"/user/myorders.json",
                  remote:baseUrl+"opcircles/getUid"
            },
            getHgqAccount:{//我的海购圈首页
                  static:baseStatic+"/user/hgqAccount.json",
                  remote:baseUrl+"mycircles/mainInfo"
            },
            getHgqAccountList0:{//我的海购圈-我的 账户-海购币
                  static:baseStatic+"/user/hgqAccountList0.json",
                  remote:baseUrl+"mycircles/hgb-list"
            },
            getHgqAccountList1:{//我的海购圈-我的 账户-待收获
                  static:baseStatic+"/user/hgqAccountList1.json",
                  remote:baseUrl+"mycircles/dsh-list"
            },
            getHgqAccountList2:{//我的海购圈-我的 账户-已收获
                  static:baseStatic+"/user/hgqAccountList2.json",
                  remote:baseUrl+"mycircles/ysh-list"
            },
            getHgqAccountList3:{//我的海购圈-我的 账户-我的奖励
                  static:baseStatic+"/user/hgqAccountList3.json",
                  remote:baseUrl+"mycircles/zcmx-list"
            },
            getIndexPg:{//获取首页数据
                  static:baseStatic+"/product/index.json",
                  remote:baseUrl+"m/page/show"
            },
            association:{//搜索-获取联想词
                  static:baseStatic+"/product/association.json",
                  remote:baseUrl+"searchCat/searchByName"
            },
            searchHot:{//搜索-获取热搜词
                  static:baseStatic+"/product/hot.json",
                  remote:baseUrl+"m/search/despHots"
            },
            search:{//搜索
                  static:baseStatic+"/product/searchResult.json",
                  remote:baseUrl+"m/search/doSearch"
            },
            isLogin:{//是否登录
                  static:baseStatic+"/product/searchResult.json",
                  remote:baseUrl+"account/getUserBaseInfo"
            },
            cateL1:{//分类搜索-获取一级类目
                  static:baseStatic+"/product/searchResult.json",
                  remote:baseUrl+"m/search/selectL1Cats"
            },
            cateL2:{//分类搜索-获取二级类目
                  static:baseStatic+"/product/searchResult.json",
                  remote:baseUrl+"m/search/selectFrontCats"
            },
            likeList:{//猜你喜欢
                  static:baseStatic+"/product/like.json",
                  remote:baseUrl+"m/page/goods"
            },
            userCenter:{//用户中心，获取待发货、待付款订单数量
                  static:baseStatic+"/product/like.json",
                  remote:baseUrl+"m/account/getOrderNum"
            }

      }


      function Config(type){
            this.type=type||REMOTE;
      }

      Config.prototype.get = function(name,type) {
            var dataCfg=dataArray[name];
            if(typeof type == 'undefined'){
                  type=this.type;
            }
            if(!dataCfg) return '';
            if(type==REMOTE){
                  return dataCfg.remote;
            }else if(type==STATIC){
                  return dataCfg.static;
            }
      };

      var STATIC=1,
          REMOTE=0;
      //默认获取静态数据
      window.cfg=new Config(REMOTE);
      //默认获取远端数据
      //window.cfg=new Config(REMOTE);

      var cache={
            "chooseAddress":{//已选择的地址
                  key:'chooseAddress'
            },
            "editAddress":{//需要修改的地址
                  key:'editAddress'
            },
            "settlePros":{//需要结算的商品
                  key:'settlePros'
            },
            "address":{//地址列表
                  key:"address"
            },
            "logistics":{//物流详情
                  key:"logistics"
            },
            "titlepro":{//顶部导航条配置
                  key:"titlepro"
            },
            "hrefGo":{//封装window.location.href,存储跳转目标
                  key:'hrefGo'
            },
            "pageParam":{//页面间传参
                  key:'pageParam'
            },
            "backHistory":{//页面跳转历史记录
                  key:'backHistory'
            },
            "goodDetail":{//商品详情
                  key:'goodDetail'
            },
            "selectedSku":{//已选单品
                  key:'selectedSku'
            },
            "selectedFri":{//已选地市，商品详情页中选择配送地址
                  key:'selectedFri'
            },
            "indexPage":{
                  key:'indexPage'
            },
            "indexDom":{
                  key:'indexDom'
            },
            "saveTime":{
                  key:'saveTime'
            }
      }
      window.cacheCfg=cache;
})();

