;(function($,window){
	function Header(){
	}
	window.Header=Header;
	var head=$('#J_head');
	if(head.length==0){
		return;
	}	
	
	Header.prototype.head=function(cfg,type){
		type=type||'common';
		var tpl=$('#J_head .J_head_tpl[data-type="'+type+'"]').val();
		var handle=headTypeMap[type];
		if(handle){
			$('#J_head_content').html(tpl);
			cfg=cfg||{};
			handle(cfg);
		}
		head.removeClass('fn-hide');
	}
	var headTypeMap={
		common:function(cfg){
			/*
				cfg:{
					title:'',//页面标题
					isBack:true,//是否有返回按钮，默认为true
					backUrl:'',//返回按钮链接地址，不填则使用go(-1)
					isMenu:true//是否展示菜单按钮，默认为展示
					items:[//菜单列表，不填则默认展示首页、购物车、我的订单、用户中心
						{
			                url:window.applicationBaseUrl+'/order/myordersM',
			                name:'我的订单',
			                icon:'hg-iconfont-order'
			            }
					]
				}
			*/
			$('#J_head_title').html(cfg.title||'海购365');

			var topPage=[
	'product/index.html',
	'product/classify.html',
	'user/cart.html',
	'user/user-center.html'
];

for(var i=0;i<topPage.length;i++){
	var curUrl = window.location.href;
	if(curUrl.indexOf(topPage[i])!=-1){
		cfg.isBack=false;
		cfg.isMenu=false;
	}
}

if((typeof cfg.isBack == 'boolean' && !cfg.isBack)&&(typeof cfg.isMenu == 'boolean' && !cfg.isMenu)){
	$('#J_head_back').parents('.hg-head-search').css({
		'padding-left':'.1rem',
		'padding-right':'.1rem'
	});
}
			if(typeof cfg.isBack == 'boolean' && !cfg.isBack){
				$('#J_head_back').addClass('fn-hide')
					.parents('.hg-head-search')/*.css({
						'padding-left':'.1rem'
					});*/
			}else{
				$('#J_head_back').on('touchstart',function(){
			        if(cfg.backUrl){
			        	hg.url.go(cfg.backUrl);
			        }else{
			            hg.url.back();
			        }
			    }).removeClass('fn-hide-vb');
			}
			if(typeof cfg.isMenu == 'boolean' && !cfg.isMenu){
				$('#J_head_menu').addClass('fn-hide')
					.parents('.hg-head-search')/*.css({
						'padding-right':'.1rem'
					});*/
			}else{
				var items=cfg.items;
				items=items||[
					{
		                url:window.applicationBaseUrl+'/a/product/index',
		                name:'首页',
		                icon:'hg-iconfont-home'
		            },
					{
		                url:window.applicationBaseUrl+'/a/product/classify',
		                name:'分类查询',
		                icon:'hg-iconfont-magnifier'
		            },
		            {
		                url:window.applicationBaseUrl+'/a/user/cart',
		                name:'购物车',
		                icon:'hg-iconfont-shopcar'
		            },
					{
		                url:window.applicationBaseUrl+'/a/user/user-center',
		                name:'用户中心',
		                icon:'hg-iconfont-user'
		            }
				];
				var menu = $('#J_head_menu').removeClass('fn-hide-vb');
				$('#J_head_menu_wrap').temp($('#T_head_menu'),items);

				$('#J_head_menu_list').on('click','a',function(){
					var url = $(this).attr('href');
					hg.url.go(url);
					return false;
				});

				menu.on('touchstart',function(){
		            var dom=$('#J_head_menu_list');
		            if(dom.hasClass('fn-hide')){
		                dom.removeClass('fn-hide');
		                setTimeout(function(){
		                    var height='62px';
		                    dom.css('height',height);
		                },20);
		            }else{
		                dom.css('height','0px');
		                setTimeout(function(){
		                    dom.addClass('fn-hide');
		                },300);
		            }
		        });
			}

			var height=$('#J_head').height();
	        if(height){
	            $('#J_body').css('padding-top',height+'px');
	        }
		},
		prodet:function(cfg){
			headTypeMap.common(cfg);
			$('#J_head_back').unbind('touchstart')
				.on('touchstart',function(){
			        hg.bridge.closeActivity();
			    })
		},
		searchResult:function(cfg){
			$('#J_head')
				.data('type','searchResult');
			headTypeMap.common(cfg);
			var bar=new SearchBar();
			$('#J_body').css('padding-top','89px');
			$('#J_head_search').on('click',function(){
				var key=$('#J_head_search_text').html();
				if(key=='搜索您需要的商品'){
					key='';
				}
				bar.show(key);
			});
		},
		search:function(cfg){
			headTypeMap.common(cfg);
			var bar=new SearchBar();
			$('#J_head_search').on('click',function(){
				var key=$('#J_head_search_text').html();
				if(key=='搜索您需要的商品'){
					key='';
				}
				bar.show(key);
			});
		}
	}
})(jQuery,window);