/*滚动监听封装*/
;(function($,window){
    function ScrollControl(){
        ZEvent.call(this);
        this.register=[];
        var _th=this;
        var w=$(window);
        var d=$(document);
        var bottomOffset=20;
        var pointerOffset=50;
        var last=0;

        w.on('scroll',function(){
            var vwHeight=w.height();
            var top=w.scrollTop();
            //isDown是true的时候，手指向下滑动，isDown为false时，手指向上滑动
            var isDown=(top-last)>0;

            last=top;
            var dcHeight=d.height();
            //触发到达底部事件
            if((top+vwHeight)>=dcHeight){
                _th.trigger(ScrollControl.SCROLL_BOTTOM);
            }
            //判断是否触发注册的点的事件
            for(var i = 0; i<_th.register.length;i++){
                var o=_th.register[i];

                var offset=$(o.ele).offset().top;
                var tailOffset=$(o.ele).height()+offset;

                if(o.isShow){
                    if(top>(offset+vwHeight)||top+vwHeight<(offset-vwHeight)){
                        o.isShow=false;
                        _th.trigger({
                            name:ScrollControl.SCROLL_OUT,
                            direction:isDown,
                            ele:o.ele
                        });
                    }
                }else{
                    if((top<(offset+vwHeight)&&top+vwHeight>(offset-vwHeight))
                        ||(top<tailOffset&&top+vwHeight>tailOffset)){
                        o.isShow=true;
                        _th.trigger({
                            name:ScrollControl.SCROLL_IN,
                            direction:isDown,
                            ele:o.ele
                        });
                    }
                }
            }
        });
    }
    hg.inheritPrototype(ScrollControl,ZEvent);
    ScrollControl.SCROLL_BOTTOM='scroll_bottom';
    ScrollControl.SCROLL_IN='scroll_in';
    ScrollControl.SCROLL_OUT='scroll_out';
    ScrollControl.prototype.regist=function(obj){
        if($(obj).data('_scroll_regist_')){
            return;
        }else{
            $(obj).data('_scroll_regist_',true);
        }

        var offset=$(obj).offset().top;
        var index=this.register.length;
        var w=$(window);
        var srt=w.scrollTop();
        var vwHeight=w.height();

        for(var i=0 ;i<this.register.length; i++){
            var o = this.register[i];
            var os=$(o.ele).offset().top;
            if(os>offset){
                index=i;
                break;
            }
        }
        var data={
            offset:offset,
            ele:obj,
            isShow:(srt<(offset+vwHeight))&&((srt+vwHeight)>(offset-vwHeight))
        };
        this.register.splice(index,0,data);

        if(data.isShow){
            //console.log($(obj).find('.hg-text:eq(0)').html());
            this.trigger({
                name:ScrollControl.SCROLL_IN,
                direction:true,
                ele:data.ele
            });
        }else{
             this.trigger({
                name:ScrollControl.SCROLL_OUT,
                direction:true,
                ele:data.ele
            });
        }

        return this;
    }
    window.ScrollControl=ScrollControl;
})(jQuery,window);
