;(function(){

	function Native(){
		ZEvent.call(this);
	}
	hg.inheritPrototype(Native,ZEvent);


	Native.prototype.js2native= function(funcName,param) {
		try{
			var p;
			if(param){
				p=JSON.stringify(param);
			}
			DiscountActivityAPI.js2native(funcName,p);
		}catch(e){
			alert(e);
			//$('#J_prodet_fri_head li:eq(0)').html(funcName);
		}
	};
	Native.prototype.native2js = function(name,param) {
		var handle = native2jsHandle[name];
		if(param){
			param=eval("("+param+")");
		}
		if(handle){
			handle(param);
		}
	};

	var native2jsHandle={
		toBar:function(param){
			native.trigger({
				name:'toBar',
				param:param
			});
		},
		toBack:function(param){
			native.trigger({
				name:'toBack',
				param:param
			});
		},
		childCB:function(param){
			native.trigger({
				name:'childCB',
				param:param
			});
		},
		addToCar:function(param){
			native.trigger({
				name:'addToCar',
				param:param
			});
		},
		buyNow:function(param){
			native.trigger({
				name:'buyNow',
				param:param
			});
		},
		goToCar:function(param){
			native.trigger({
				name:'goToCar',
				param:param
			});
		}
	}



	Native.prototype.openSubView=function(url){
		var offLine=1;
		if(url.indexOf('http')==0){
			offLine=0;
		}
		
		this.js2native('openSubView',{
			url:url,
			offLine:offLine
		});
	}

	Native.prototype.closeSubView=function(){
		this.js2native('closeSubView');
	}
	
	Native.prototype.handleMianTab=function(index){
		this.js2native('handleMianTab',{
			index:index
		});
	}

	Native.prototype.openMain=function(obj){
		this.js2native('openMain',obj);
	}
	
	Native.prototype.clearCache=function(obj){
		this.js2native('clearCache',obj);
	}

	Native.prototype.openDetail=function(obj){
		this.js2native('openDetail',obj);
	}

	Native.prototype.openFlow=function(obj){
		var offLine=1;
		if(obj.url&&obj.url.indexOf('http')==0){
			offLine=0;
		}
		obj.offLine=offLine=1;
		this.js2native('openFlow',obj);
	}

	Native.prototype.childCB=function(obj){
		//$('#J_prodet_sku_price').html(obj.type);
		this.js2native('childCB',obj);
	}

	Native.prototype.closeFlow=function(obj){
		this.js2native('closeFlow',obj);
	}

	Native.prototype.closeActivity=function(obj){
		this.js2native('closeActivity',obj);
	}

	Native.prototype.lockSlide=function(obj){
		this.js2native('lockSlide',obj);
	}
	
	Native.prototype.unlockSlide=function(obj){
		this.js2native('unlockSlide',obj);
	}


	native = new Native();

	native2js=function(funcName,param){
		native.native2js(funcName,param);
	}



})();