;(function(window){
	var staName={
		"0":{//op:立即支付 取消订单
			name:"待支付",
			operation:['pay','cancel']
		},
		"1":{//
			name:"待海关审核",
			operation:[]
		},
		"2":{//海关审核不通过，op:取消订单 修改订单（暂无）
			name:"待买家确认",
			operation:['cancel'/*,'modify'*/]
		},
		"3":{//op:取消订单（此时已审核通过，未通知网仓）
			name:"待通知网仓",
			operation:['cancel']
		},
		"4":{//已经通知网仓，op:申请退货
			name:"备货中",
			operation:[/*'applyRtn'*/]
		},
		"5":{//op:申请退货 
			name:"待发货",
			operation:[/*'applyRtn'*/]
		},
		"6":{//op:确认收货 申请退货（微无） 
			name:"待收货",
			operation:['confirmRe'/*,'applyRtn'*/]
		},
		"7":{//op:评价 申请退货（微无） 
			name:"待评价",
			operation:[/*'evaluate','applyRtn'*/]
		},
		"8":{//op：申请退货
			name:"订单完成",
			operation:[/*'applyRtn'*/]
		},
		"9":{//无
			name:"待卖家审核退货",
			operation:[]
		},
		"10":{//买家退货发货之后点击此操作 op:商品退货（微无）
			name:"待买家退货",
			operation:[/*'rtnGoods'*/]
		},
		"11":{//无
			name:"退货中",
			operation:[]
		},
		"12":{//op:申请维权（微无）
			name:"退货被拒绝",
			operation:[/*'applyArbitration'*/]
		},
		"13":{//无
			name:"待卖家退款",
			operation:[]
		},
		"14":{//此时应该显示订单关闭
			name:"退货完成",
			operation:[]
		},
		"15":{//无
			name:"仲裁中",
			operation:[]
		},
		"16":{//此时应该显示订单关闭
			name:"维权失败",
			operation:[]
		},
		"17":{//此时应该显示订单关闭
			name:"维权成功",
			operation:[]
		},
		"18":{//无
			name:"订单关闭",
			operation:[]
		}
	}
	var operation={
		pay:{
			name:'立即支付',
			op:function(orderId,dtd){//立即支付
				window.location.href=cfg.get('pay')+'?orderNo='+orderId;
			}
		},
		cancel:{
			name:'取消订单',
			op:function(orderId,dtd){//取消订单
				var html='<p class="hg-text fn-mgt17">请选择取消的原因:</p>'+
				'<ul class="myorders-cancel-resion" id="J_myorders_cancelres">'+
					'<li class="hg-text" data-value="1">我不想买了</li>'+
	                '<li class="hg-text"  data-value="2">信息填写错误</li>'+
	                '<li class="hg-text"  data-value="3">付款遇到困难</li>'+
	                '<li class="hg-text"  data-value="4">拍错了</li>'+
	                '<li class="hg-text"  data-value="5">重复下单</li>'+
	                '<li class="hg-text"  data-value="6">商品价格太贵</li>'+
	                '<li class="hg-text"  data-value="7">其他原因</li>'+
				'</ul>'+
				'<div class="fn-mgt2">'+
					'<span class="hg-btn hg-btn-grey fn-left" id="J_myorders_noconfirm">我点错了</span>'+
					'<span class="hg-btn hg-btn-red fn-right" id="J_myorders_confirmcancel">取消订单</span>'+
				'</div>';
				hg.dialog.show({
					html:html,
					callback:function(){
						var _th=this;
						var list=$('#J_myorders_cancelres');
						list.on('touchend','li',function(){
							$(this).addClass('cur').siblings().removeClass('cur');
						});
						$('#J_myorders_noconfirm').on('touchend',function(){
							_th.hide();
						});
						$('#J_myorders_confirmcancel').on('touchend',function(){
							var cur=list.find('.cur');
							if(cur.length==0){
								hg.alert('请选择一个取消订单的原因');
								return;
							}
							var val=cur.data('value');
							hg.data({
								url:cfg.get('cancelOrder'),
								data:{orderNo:orderId,reasonId:val},
								type:"POST"
							}).done(function(json){
								_th.hide();
								dtd.resolve(json);
							}).fail(function(json){
								hg.alert(json.errors.message);
								dtd.reject(json);
							});
						});
					}
				});
			}
		},
		modify:{
			name:'修改订单',
			op:function(orderId,dtd){//修改订单
				hg.alert('修改订单');
			}
		},
		applyRtn:{
			name:'申请退货',
			op:function(orderId,dtd){//申请退货
				hg.alert('申请退货');
			}
		},
		complain:{
			name:'订单投诉',
			op:function(orderId,dtd){//订单投诉
				hg.alert('订单投诉');
			}
		},
		confirmRe:{
			name:'确认收货',
			op:function(orderId,dtd){//确认收货
				var html='<span class="hg-text">请确保收到货物后再进行确认收货操作，以免上当受骗！</span>';
				hg.confirm({
					title:'确认收货确认',
					html:html,
					ok:{
						text:'确认收货',
						callback:function(){
							hg.data({
								url:cfg.get('comfirmReceipt'),
								data:{orderNo:orderId}
							}).done(function(json){
								dtd.resolve(json);
							}).fail(function(json){
								hg.alert('确认收货失败了，请再试一次！');
							});
						}
					},
					cancel:{
						text:'我点错了'
					}
				});

				
			}
		},
		evaluate:{
			name:'评价',
			op:function(orderId,dtd){//评价
				hg.alert('评价');
			}
		},
		rtnGoods:{
			name:'商品退货',
			op:function(orderId,dtd){//商品退货
				hg.alert('商品退货');
			}
		},
		applyArbitration:{
			name:'申请维权',
			op:function(orderId,dtd){//申请维权
				hg.alert('申请维权');
			}
		}
	}

	function OrderOperation(){}
	OrderOperation.prototype.get=function(state){
		var o = staName[state];
		var result={
			state:state,
			name:o.name,
			ops:[]
		};
		for(var i in o.operation){
			var opType=o.operation[i];
			result.ops.push({
				opName:operation[opType].name,
				opType:opType
			});
		}
		return result;
	}
	OrderOperation.prototype.callOp=function(opType,orderId){
		var dtd = $.Deferred();
		var op=operation[opType].op;
		if(op){
			op(orderId,dtd);
		}
		return dtd.promise();
	}
	window.OrderOperation=OrderOperation;
})(window);


