;(function(){

	Handlebars.registerHelper('gdsrecTr', function(i){
    	if((i+1)%3==0){
    		return new Handlebars.SafeString('</tr></tbody></table></a><a><table><tbody><tr>');
    	}else{
    		return '';
    	}
    });
    Handlebars.registerHelper('ismkli', function(i){
    	if((i+1)%3==0){
    		return new Handlebars.SafeString('<li></li>');
    	}else{
    		return '';
    	}
    });
    Handlebars.registerHelper('getFloor', function(i){
    	pageCount++;
    	return 'hg-iconfont-f'+pageCount+' hg-index-floor-icn';
    });

    var pageCount=0;

	function PageMaker(){
	}
	PageMaker.prototype.mk=function(target,type,data,noLogo){
		var f=op[type];
		if(f){
			f(target,data,noLogo);
		}
	}

	var idNew=0;
	var op={
		ad:function(target,data){
			var id='J_'+(idNew++);
			var template='<div class="hg-ad swipe " id="'+id+'">'+
				'<div class="swipe-wrap fn-lh-0">'+
					'{{#each this}}'+
					'<a href="{{value}}">'+
						'<img data-src="'+applicationImageServer+'/{{imageId}}_640x338!.jpg" onerror="this.src=\''+applicationRes+'/theme/default/images/bg.png\';this.onerror=null;">'+
					'</a>'+
					'{{/each}}'+
				'</div>'+
				'<ul class="hg-ad-wafer" id="'+id+'_adwafer">'+
					'{{#each this}}'+
					'<li></li>'+
					'{{/each}}'+
				'</ul>'+
			'</div>';
			var html=temp(template,data.elementInfoList);
			$(target).html(html);
			if(data.elementInfoList.length>1){
				new Swipe(document.getElementById(id),{
					callback: function(index, element) {
						$('#'+id+'_adwafer li:eq('+index+')').addClass('cur').siblings().removeClass('cur');
					}
				});
			}else{
				$('#'+id+'_adwafer').addClass('fn-hide');
			}
		},
		floor:function(target,data,noLogo){
			/*
				{
	                "elementInfoList": [
	                    {
	                        "description": "",
	                        "elementId": 1440705,
	                        "elementOrder": 6,
	                        "goodInfo": {
	                            "autoTime": 1452079711000,
	                            "autoType": "1",
	                            "byVolume": "1",
	                            "byWeight": "1",
	                            "catId": 100300028,
	                            "country": "瑞士",
	                            "gdsCode": "NULL",
	                            "gdsDetailId": "568cfa38e2e0e31778896ac9",
	                            "gdsId": 168448206357662183,
	                            "gdsMbDtlid": "568cfa38e2e0e31778896acb",
	                            "gdsName": "瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品瑞士出品",
	                            "gdsPicVsId": "568242c9e2e0e31778896993",
	                            "gdsPrice": "10000",
	                            "gdsSubName": "瑞士出品",
	                            "gdsType": "2",
	                            "invoice": "1",
	                            "isProfitGood": "1",
	                            "lastTime": 1457945313000,
	                            "repair": "1",
	                            "sellAmount": 0,
	                            "shelvesType": "0",
	                            "shopId": 23104,
	                            "status": "1",
	                            "totalCount": 100,
	                            "transportTemplate": 179
	                        },
	                        "goodsId": "168448206357662183",
	                        "imageId": "568242c9e2e0e31778896993",
	                        "moduleId": 14407,
	                        "position": "1*1",//1*1->0,  1*2->1,   2*1->2,   2*2->3
	                        "type": 2,
	                        "value": ""
	                    }
	                ],
	                "moduleId": 14407,
	                "pageId": 144,
	                "sequence": 5,
	                "type": 7
	            }
			*/
			var row=[];
			var newRow=[0,0,0];
			var rowIndex=0;
			var colIndex=0;

		    var arr=['','colspan="2"','rowspan="2" style="height:5.2rem;"','colspan="2" rowspan="2" style="height:5.2rem;"'];
			Handlebars.registerHelper('rowcol', function(value){
				var curRow=row[rowIndex];
				if(!curRow){
					curRow=row[rowIndex]=newRow.slice(0);
				}
				var nextRow=row[rowIndex+1];
				if(!nextRow){
					nextRow=row[rowIndex+1]=newRow.slice(0);
				}

				
				value=({
					'1*1':0,
					'1*2':1,
					'2*1':2,
					'2*2':3
				})[value];

				curRow[colIndex]=1;
				if(value==1){
					curRow[colIndex+1]=1;
				}else if(value==2){
					nextRow[colIndex]=1;
				}else if(value==3){
					curRow[colIndex+1]=1;
					nextRow[colIndex]=1;
					nextRow[colIndex+1]=1;
				}

				return new Handlebars.SafeString(arr[value]);
		    });

		    Handlebars.registerHelper('counter', function(){
		    	var oldRowIndex=rowIndex;
				var result=nextEl(colIndex,rowIndex,row);		    	
				colIndex=result.curCol;
				rowIndex=result.curRow;
		    	//console.log(JSON.stringify(row));
		    	//行数如果有增加，那么返回</tr><tr>
		    	if(oldRowIndex!=rowIndex){
					return new Handlebars.SafeString('</tr><tr>');
		    	}else{
		    		return '';
		    	}
		    });
		    function nextEl(curCol,curRow,row){
		    	curCol++;
		    	if(curCol==newRow.length){
		    		curCol=0;
		    		curRow++;
		    	}
		    	if(row[curRow][curCol]==1){
		    		return arguments.callee(curCol,curRow,row);
		    	}else{
		    		return {curCol:curCol,curRow:curRow};
		    	}
		    }
		    //<span class="hg-iconfont hg-iconfont-sea"></span> 
		    
			var template='<div class="hg-index-floor">'+
				'<h3 class="hg-index-floor-title hg-text">';
					if(!noLogo){
						template+='<span class="hg-iconfont {{getFloor}}"></span>';
					}
					template+='{{title}}'+
				'</h3>'+
				'<table>'+
					'<tbody>'+
						'<tr>'+
							'{{#each elementInfoList}}'+
							'{{#if_eq type compare=2}}'+
							'<td {{rowcol position}}>'+
								'<a href="'+applicationBaseUrl+'/a/product/goods?id={{goodsId}}" class="hg-index-floor-wrap hg-good">'+
									'<div class="hg-good-img" data-src="'+applicationImageServer+'/{{imageId}}_300x300.jpg"></div>'+
									'<p class="hg-text">{{goodInfo.gdsName}}</p>'+
									'<p class="hg-text-price"><span class="hg-iconfont hg-iconfont-rmb"></span>{{getPrice goodInfo}}</p>'+
								'</a>'+
							'</td>'+
							'{{/if_eq}}'+
							'{{#if_eq type compare=1}}'+
							'<td {{rowcol position}}>'+
								'<a class="hg-index-floor-wrap" href="{{value}}">'+
									'<img data-src="'+applicationImageServer+'/{{imageId}}.jpg">'+
								'</a>'+
							'</td>'+
							'{{/if_eq}}'+
							'{{counter}}'+
							'{{/each}}'+
						'</tr>'+
					'</tbody>'+
				'</table>'+
			'</div>';
			var html=temp(template,data,'floor').replace('<tr></tr>','');
			//console.log(html);
			$(target).html(html);
		},
		layer:function(target,data){
			/*
				data:{
					picId:'',
					url:''
				}
			*/
			var template='<div class="hg-index-layer"><div class="hg-index-layer-wrap">'+
				'<a href="{{value}}">'+
					'<img data-src="'+applicationImageServer+'/{{imageId}}.jpg">'+
				'</a>'+
			'</div></div>';
			var html=temp(template,data.elementInfoList[0],'layer');
			$(target).html(html);
		},
		nine:function(target,data){
			/*
				data:{
					url:'',
					picId:''
				}
			*/
			Handlebars.registerHelper('nineTr', function(i){
		    	if((i+1)%3==0){
		    		return new Handlebars.SafeString('</tr><tr>');
		    	}else{
		    		return '';
		    	}
		    });
			var template='<div class="hg-index-floor">'+
				'<table>'+
					'<tbody>'+
						'<tr>'+
							'{{#each this}}'+
							'<td>'+
								'<a class="hg-index-floor-wrap" href="{{value}}">'+
									'<img data-src="'+applicationImageServer+'/{{imageId}}.jpg">'+
								'</a>'+
							'</td>'+
							'{{nineTr @index}}'+
							'{{/each}}'+
						'</tr>'+
					'</tbody>'+
				'</table>'+
			'</div>';

			var html=temp(template,data.elementInfoList,'nine').replace('<tr></tr>','');
			$(target).html(html);
		},
		search:function(target,data){
			var l=$('#J_search');
			if(l.length==0){
				var html='<div id="J_search" class="hg-search">'+
					'<div class="hg-search-wrap">'+
						//'<img class="hg-search-logo" src="'+applicationRes+'/theme/default/images/logo.png">'+
						'<span class="hg-search-input">'+
							'<span class="hg-iconfont hg-iconfont-magnifier"></span>'+
							'<span class="hg-text">寻找您需要的宝贝</span>'+
						'</span>'+
						//'<span class="hg-iconfont hg-iconfont-qr hg-search-qr"></span>'+
					'</div>'+
				'</div>';
				$('#J_head').addClass('fn-hide');
				$('#J_body').prepend(html);
			};

			if(l.data('flag')){
				return;
			}

			l.data('flag',true);
			//.css('padding-top','50px');

			$('#J_search').on('click','.hg-search-input',function(){
				new SearchBar().show();
			});

			$('#J_search').on('click','.hg-search-login',function(){
				var toUrl=applicationBaseUrl+'/a/product/index';
				hg.url.go(toUrl,true);
			});

			$('#J_search').on('click','.hg-iconfont-user',function(){
				hg.url.go(applicationBaseUrl+'/a/user/user-center');
			});

			$('#J_head').addClass('fn-hide');
			var l = 170;
			var search=$('#J_search');

			$(window).on('scroll',function(){
				var top = $(window).scrollTop();
				if(top>70){
					search.addClass('hg-search-bf');
				}else{
					search.removeClass('hg-search-bf');
				}
				if(top>l){
					search.css({
						"background":"rgba(255,255,255,1)"
					});
					return;
				}
				
				search.css({
					"background":"rgba(255,255,255,"+(top/l)+")"
				});
			});

			/*hg.data({
				url:cfg.get('isLogin'),
				loading:false,
				cache:{
					name:"login",
					maxAge:1000*60//缓存一分钟
				}
			}).done(function(){
				var search=$('#J_search');
				search.find('.hg-search-login').addClass('fn-hide');
				search.find('.hg-iconfont-user').removeClass('fn-hide');
			});*/
		},
		gdsrec:function(target,data){
			
			var id='J_'+(idNew++);//<span class="hg-iconfont hg-iconfont-sea"></span> 
			var template='<div class="hg-index-floor hg-index-rec J_pgmk_notin">'+
				'<h3 class="hg-index-floor-title hg-text"><span class="hg-iconfont hg-iconfont-rec"></span>推荐商品</h3>'+
				'<div class="hg-ad swipe" id="'+id+'">'+
					'<div class="swipe-wrap">'+
						'<a><table>'+
							'<tbody>'+
								'<tr>'+
									'{{#each this}}'+
									'<td>'+
										'{{#if_neq isEmpty compare="1"}}'+
										'<a href="'+applicationBaseUrl+'/a/product/goods?id={{goodsId}}" class="hg-index-floor-wrap hg-good">'+
											'<div class="hg-good-img" data-src="'+applicationImageServer+'/{{imageId}}_300x300.jpg"></div>'+
											'<p class="hg-text">{{goodInfo.gdsName}}</p>'+
											'<p class="hg-text-price"><span class="hg-iconfont hg-iconfont-rmb"></span>{{getPrice goodInfo}}</p>'+
										'</a>'+
										'{{/if_neq}}'+
									'</td>'+
									'{{gdsrecTr @index}}'+
									'{{/each}}'+
								'</tr>'+
							'</tbody>'+
						'</table></a>'+
					'</div>'+
				'</div>'+
				'<ul class="hg-ad-wafer hg-ad-wafer-rec" id="'+id+'_adwafer">'+
					'{{#each this}}'+
					'{{ismkli @index}}'+
					'{{/each}}'+
				'</ul>'+
			'</div>';
			var m = data.elementInfoList.length%3;
			if(m!=0){
				var t=3-m;
				for(var i=0;i<t;i++){
					data.elementInfoList.push({isEmpty:1});
				}
			}
			var html=temp(template,data.elementInfoList).replace('<a><table><tbody><tr></tr></tbody></table></a>','');
			$(target).html(html);
			new Swipe(document.getElementById(id),{
				callback: swpCB
			});
			swpCB(0);
			function swpCB(index, element) {
				$('#'+id+'_adwafer li:eq('+index+')').addClass('cur').siblings().removeClass('cur');
				var hgi=$('#'+id+' tr:eq('+index+') .hg-good-img');
				hgi.each(function(){
					var th=$(this);
					if(!th.data('isload')){
						th.data('isload',true);
						var src=th.data('src');
						th.css({
							'background-image':'url('+src+')',
							'opacity':1
						});
					}
				});
			}
		},
		toolBar:function(target,data){
			var html='<ul class="hg-index-nav" id="J_pgmk_toolbar">'+
				'{{#each this}}'+
				'<li data-src="'+applicationBaseUrl+'/{{url}}">'+
					'<div>'+
						'<img src="'+applicationRes+'/theme/default/images/{{pic}}">'+
					'</div>'+
					'<div class="hg-text fn-ta-ct">{{name}}</div>'+
				'</li>'+
				'{{/each}}'+
			'</ul>';
			if(hg.isWebChat()){
				var menu=[
					{
						name:'分类搜索',
						pic:'5.png',
						url:'a/product/classify'
					},
					{
						name:'购物车',
						pic:'2.png',
						url:"a/user/cart"
					},
					{
						name:'我的海购圈',
						pic:'6.png',
						url:"a/profit/profit"
					},
					{
						name:'用户中心',
						pic:'3.png',
						url:"a/user/user-center"
					}
				];
			}else{
				var menu=[
					{
						name:'分类搜索',
						pic:'5.png',
						url:'a/product/classify'
					},
					{
						name:'购物车',
						pic:'2.png',
						url:"a/user/cart"
					},
					{
						name:'我的订单',
						pic:'4.png',
						url:"a/user/myorders"
					},
					{
						name:'用户中心',
						pic:'3.png',
						url:"a/user/user-center"
					}
				];
			}
			

			var html=temp(html,menu,'toolBar');

			$(target).html(html);

			$('#J_pgmk_toolbar').on('click','li',function(){
				var url=$(this).data('src');
				hg.url.go(url);
			});
		},
		goods:function(target,data){
			var template='<div class="hg-index-floor J_pgmk_notin">';
				if(data.title){
					template+='<h3 class="hg-index-floor-title index-like-title hg-text">'+
						'<span class="hg-iconfont hg-iconfont-good "></span>'+
						'{{title}}'+
					'</h3>';
				}
				template+='<ul class="index-like hg-good fn-clear">'+
					'{{#each goods}}'+
					'<li>'+
						'<div class="index-like-wrap">'+
						'<a href="'+applicationBaseUrl+'/a/product/goods?id={{gdsIdString}}">'+
							'<div class="hg-good-img" data-src="'+applicationImageServer+'/{{gdsPicVsId}}_400x400.jpg"></div>'+
							'<p class="hg-text">{{gdsName}}</p>'+
							'<p class="hg-text-price"><span class="hg-iconfont hg-iconfont-rmb"></span>{{getPrice this}}</p>'+
						'</a>'+
						'</div>'+
					'</li>'+
					'{{/each}}'+		
				'</ul>'+
			'</div>';
			var result={
				goods:[]
			};
			result.title=data.title;
			if(data.value){
				hg.data({
					url:cfg.get('likeList'),
					loading:false,
					num:data.value
				}).done(function(json){
					result.goods=json.data;
					if(result.goods.length%2==1){
						result.goods.length=result.goods.length-1;
					}
					var html = temp(template,result,'goods');
					$(target).html(html);
				}).fail(function(json){

				});
			}else{
				for(var i=0;data.elementInfoList.length>i;i++){
					result.goods.push(data.elementInfoList[i].goodInfo);
				}

				if(result.goods.length%2==1){
					result.goods.length=result.goods.length-1;
				}

				var html = temp(template,result,'goods');
				$(target).html(html).find('li').each(function(){
					hg.scroll.regist(this);
				});

				
			}
		}

	};

	var comMap={};
	function temp(str,data,name){
		var com=comMap[name];	
		if(!com){
			com=Handlebars.compile(str);
			if(name){
				comMap[name]=com
			}
		}
        return com(data);
	}
	window.PageMaker=PageMaker;

	var pm=new PageMaker();

	$.fn.pageMaker=function(type,data,cla,noLogo){
		type=['search','ad','layer','','','gdsrec','','floor','nine','toolBar','goods'][type];
		var target=$('<div class="J_index_floor '+(cla||'')+'"></div>');
		this.append(target);
		pm.mk(target,type,data,noLogo);
		return this;
	}

	Handlebars.registerHelper('getPrice', function(json){
		var price;
		if(json.activPrice){
			price = json.activPrice/100;
		}else{
		    price = json.gdsPrice/100;
		}
		if(price>10000){
			price = Math.floor(price/1000)/10+'万';
		}
		return price;
    });
})();